Magick++: Magick::PathQuadraticCurvetoRel Class Reference

Magick++ 7.1.0

Public Member Functions | List of all members
Magick::PathQuadraticCurvetoRel Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::PathQuadraticCurvetoRel:
[legend]
Collaboration diagram for Magick::PathQuadraticCurvetoRel:
[legend]

## Public Member Functions
| PathQuadraticCurvetoRel (const Magick::PathQuadraticCurvetoArgs &args_)
| PathQuadraticCurvetoRel (const PathQuadraticCurvetoArgsList &args_)
| PathQuadraticCurvetoRel (const PathQuadraticCurvetoRel &original_)
| ~PathQuadraticCurvetoRel (void)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const
Public Member Functions inherited from Magick::VPathBase
| VPathBase (void)
virtual | ~VPathBase (void)

## Detailed Description

Definition at line 2847 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ PathQuadraticCurvetoRel() [1/3]

Magick::PathQuadraticCurvetoRel::PathQuadraticCurvetoRel | ( | const Magick::PathQuadraticCurvetoArgs & | args_ | ) |

Definition at line 2220 of file Drawable.cpp.

## ◆ PathQuadraticCurvetoRel() [2/3]

Magick::PathQuadraticCurvetoRel::PathQuadraticCurvetoRel | ( | const PathQuadraticCurvetoArgsList & | args_ | ) |

Definition at line 2225 of file Drawable.cpp.

## ◆ PathQuadraticCurvetoRel() [3/3]

Magick::PathQuadraticCurvetoRel::PathQuadraticCurvetoRel | ( | const PathQuadraticCurvetoRel & | original_ | ) |

Definition at line 2230 of file Drawable.cpp.

## ◆ ~PathQuadraticCurvetoRel()

Magick::PathQuadraticCurvetoRel::~PathQuadraticCurvetoRel | ( | void |  | ) |

Definition at line 2235 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::VPathBase * Magick::PathQuadraticCurvetoRel::copy | ( |  | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2248 of file Drawable.cpp.

## ◆ operator()()

void Magick::PathQuadraticCurvetoRel::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2239 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp